/* 
 * File:   EqualizerColorWidget.h
 * Author: mschoepf
 *
 * Created on May 10, 2013, 8:38 AM
 */

#ifndef EQUALIZERCOLORWIDGET_H
#define	EQUALIZERCOLORWIDGET_H


#include <iostream>
#include <Qt/qwidget.h>
#include <Qt/qpainter.h>

class EqualizerColorWidget : public QWidget
{
	Q_OBJECT

 protected:
     void paintEvent(QPaintEvent *event);

 private:
     float e_level;
     QColor e_color;
     QPixmap e_pixmap;
public:
	EqualizerColorWidget(QWidget *parent = 0);
	void setLevel(float value);
	void setColor (QColor color);
};

#endif	/* EQUALIZERCOLORWIDGET_H */

