/*
 * measureDb.h
 *
 *  Created on: May 30, 2012
 *      Author: mschoepf
 */

#ifndef MEASUREDB_H_
#define MEASUREDB_H_

#include "AlsaMicGrabber.h"
#include <QApplication>
#include <QLabel>
#include <QProgressBar>
#include <QLayout>
#include <QMainWindow>
#include "EqualizerWidget.h"

class measureDbMainWindow : public QMainWindow
{
	Q_OBJECT

private:
	QFrame* baseFrame;
	QHBoxLayout* eqHBoxLayout;
	EqualizerWidget* ew;
	QLabel* dbLabel;
	QLabel* averageLabel;
	QLabel* maxLabel;
	QLabel* clippedCountLabel;
	AlsaMicGrabber amg;
/*protected:
    virtual void paintEvent(QPaintEvent *event);*/

public slots:
	void update_eq (float val, bool clipped);

public:
	explicit measureDbMainWindow(QWidget *parent = 0);
    ~measureDbMainWindow();
};



#endif /* MEASUREDB_H_ */
