/* 
 * File:   sendSpeechRecEnable.cpp
 * Author: mschoepf
 *
 * Created on June 17, 2013, 8:07 PM
 */

#include <cstdlib>
#include <rsc/rscexports.h>
#include <rsb/Factory.h>
#include <rsb/patterns/RemoteServer.h>
#include <rst/vision/Image.pb.h>
#include <rsb/converter/ProtocolBufferConverter.h>
#include <rsb/converter/Repository.h>
using namespace std;

/*
 * 
 */
int main(int argc, char** argv) {
    std::string value = "1";
    if (argc > 1)
        value = argv[1];
    std::string scope ("/request/speechrec/psa");
    rsb::Factory& factory = rsb::getFactory();
    rsb::patterns::RemoteServerPtr remoteServer = factory.createRemoteServer(scope);
    std::cout << "Calling Server at scope " << scope << " ... " << std::endl;

    boost::shared_ptr<std::string> request(new std::string(value));
    boost::shared_ptr<std::string> result
            = remoteServer->call<std::string>("speechRecEnable", request);
    std::cout << "Server replied: " << *result << std::endl;
    return 0;
}

