/* 
 * File:   simpleTextAddField.cpp
 * Author: mschoepf
 * 
 * Created on May 17, 2013, 4:41 PM
 */

#include "SimpleTextAddField.h"

simpleTextAddField::simpleTextAddField() {
    myTextEdit = boost::make_shared<QTextEdit>();
    myLineEdit = boost::make_shared<QLineEdit>();
    myVBoxLayout = boost::make_shared<QVBoxLayout>();
    myVBoxLayout->addWidget(myTextEdit.get());
    myVBoxLayout->addWidget(myLineEdit.get());
    this->setLayout(myVBoxLayout.get());
    connect(myLineEdit.get(), SIGNAL (returnPressed () ), this, SLOT (pushLineEdit() ) );
}


simpleTextAddField::~simpleTextAddField() {
    disconnect(myLineEdit.get(), SIGNAL (returnPressed () ), this, SLOT (pushLineEdit() ) );
}

void
simpleTextAddField::update_text(QString update)
{
	/*static long long last_timestamp = 0;
	if (timestamp == last_timestamp)
	{
		std::cerr << "Updating hypothesis: ";
		isrResultsTextEdit->moveCursor( QTextCursor::End, QTextCursor::MoveAnchor );
		isrResultsTextEdit->moveCursor( QTextCursor::StartOfLine, QTextCursor::MoveAnchor );
		isrResultsTextEdit->moveCursor( QTextCursor::End, QTextCursor::KeepAnchor );
		std::cerr << isrResultsTextEdit->textCursor().selectedText().toStdString();
		std::cerr << " to " << update.toStdString() << std::endl;
		isrResultsTextEdit->textCursor().removeSelectedText();
	}
	last_timestamp = timestamp;*/
	myTextEdit->append(update);
}

void
simpleTextAddField::pushLineEdit()
{
    QString q = myLineEdit->text();
    myLineEdit->setText(QString(""));
    emit uttInput(q);            
}