/* 
 * File:   simpleTextAddField.h
 * Author: mschoepf
 *
 * Created on May 17, 2013, 4:41 PM
 */

#ifndef SIMPLETEXTADDFIELD_H
#define	SIMPLETEXTADDFIELD_H

#include <QWidget>
#include <QTextEdit>
#include <QLineEdit>
#include <QVBoxLayout>
#include <boost/shared_ptr.hpp>
#include <boost/make_shared.hpp>

class simpleTextAddField : public QWidget {
    
    Q_OBJECT
    
public:
    simpleTextAddField();
    virtual ~simpleTextAddField();
    
private:
    boost::shared_ptr<QLineEdit> myLineEdit;
    boost::shared_ptr<QTextEdit> myTextEdit;
    boost::shared_ptr<QVBoxLayout> myVBoxLayout;
    
public slots:
    void update_text (QString update);
    void pushLineEdit();
signals:
    void uttInput(QString input);
};

#endif	/* SIMPLETEXTADDFIELD_H */

