/*
 ============================================================================
 Name        : SphinxParser2.cpp
 Author      : 
 Version     :
 Copyright   : Your copyright notice
 Description : Hello World in C++,
 ============================================================================
 */

#include "configFileParser.h"

int
main(int argc, char** argv) {
    if (argc < 2) {
        std::cout << "Usage: " << argv[0] << " <filename.jsgf>" << std::endl;
        return -1;
    }
    std::ifstream input(argv[1], std::ifstream::in);
    if (!input.is_open()) {
        std::cerr << "Could not open file: " << argv[1] << std::endl;
    }
    std::string storage; // We will read the contents here.
    input.unsetf(std::ios::skipws); // No white space skipping!
    std::copy(
            std::istream_iterator<char>(input),
            std::istream_iterator<char>(),
            std::back_inserter(storage));
    key_value_sequence<std::string::iterator> keysandvalues;
    comment_skipper<std::string::iterator> skipper;
    std::string::iterator iter = storage.begin();
    std::string::iterator end = storage.end();
    std::vector<sectionT> result;
    bool success = qi::phrase_parse(iter, end, keysandvalues,skipper , result); // returns true if 

    if (success)
    {
        if (iter == end)
        {
            std::cout << "Parsed successfully" << std::endl;
        }
        else
        {
            std::cout << "Parsed PARTLY successfully" << std::endl;
            std::cout << "Leftover: '" << std::string().assign(iter,end) << "'" << std::endl;
        }
        std::cout << "Section Header: " << "key = '" << result.at(0).first.first << "'" << " value = '" << result.at(0).first.second << "'" << std::endl;
        for (int i=0; i < result.at(0).second.size();i++)
        {
            std::cout << "key = '" << result.at(0).second.at(i).first << "'" << " value = '" << result.at(0).second.at(i).second << "'" << std::endl;
        }
    }
    else
    {
        std::string::iterator some = iter + 30;
        std::string context(iter, (some > end) ? end : some);
        std::cout << "-------------------------\n";
        std::cout << "Parsing failed\n";
        std::cout << "stopped at: \": " << context << "...\"\n";
        std::cout << "-------------------------\n";        
    }
    
    return 0;
}
