/* 
 * File:   defaults.h
 * Author: mschoepf
 *
 * Created on June 19, 2013, 7:06 PM
 */

#ifndef DEFAULTS_H
#define	DEFAULTS_H

#define DATARINGBUFFER_DEFAULTSIZE 300 //Length of segments, a pocketsphinx instance can buffer (cyclic buffer used here)
#define MODELDIR "/vol/robocup/2013/share/pocketsphinx/model"
#define PSW_DEFAULT_NAME "myRandomGrammar"
#define PSW_HMM_DEFAULT MODELDIR "/hmm/en_US/hub4wsj_sc_8k"
//#define LM_DEFAULT MODELDIR "/lm/en/turtle.DMP"
#define PSW_LM_DEFAULT ""
//#define DICT_DEFAULT MODELDIR "/lm/en/turtle.dic"
#define PSW_DICT_DEFAULT "/vol/robocup/2013/share/SpeechRec/psGrammar/dictionary/tobiDic.dic"
#define PSW_JSGF_DEFAULT "/vol/robocup/2013/share/SpeechRec/psGrammar/gprs/gprs.jsgf"
#define PSW_RSB_SCOPE_DEFAULT "/speechrec/psa"
#define PSW_BESTPATH_DEFAULT false

#define SIMPLETHRESHOLD_STARTDB 20
#define SIMPLETHRESHOLD_UTTDB 25
#define SIMPLETHRESHOLD_PAUSE 300 //in mseconds
#define SIMPLETHRESHOLD_MAXLENGTH 7 // in seconds
#define SIMPLETHRESHOLD_STARTDB_MIN 1
#define SIMPLETHRESHOLD_STARTDB_MAX 70
#define SIMPLETHRESHOLD_UTTDB_MIN 1
#define SIMPLETHRESHOLD_UTTDB_MAX 70
#define SIMPLETHRESHOLD_MAXLENGTH_MIN 1
#define SIMPLETHRESHOLD_MAXLENGTH_MAX 30
#define SIMPLETHRESHOLD_PAUSE_MIN 50
#define SIMPLETHRESHOLD_PAUSE_MAX 5000


#define ALSADEFAULTDEVICE "plughw:0,0"
#define ALSAMICGRABBER_SAMPLERATE 16000
#define ALSAMICGRABBER_SAMPLESIZE 512
#define ALSAMICGRABBER_BUFFERSIZE 1024



#endif	/* DEFAULTS_H */

